Subject: bug#505: 23.0.60; Font for fixed-pitch not resolved

From: Chong Yidong <[email-masked]>
Date: Wed, 15 Oct 2008 19:03:02 -0400

Michael Welsh Duggan <[email-masked]> writes:

> No.  Once again, emacs never enters this block.

That's strange.

You reported, earlier, that your font log displays the following:

 sort-by: -unknown-Monospace-normal-normal-normal-*-15-*-iso8859-1
   x:-unknown-monospace-medium-r-normal--*-0-0-c-0-iso8859-1
   x:open failed: -unknown-monospace-medium-r-normal--15-*-0-0-c-0-iso8859-1

As far as I can tell, the error message comes from the following line in
xfont.c:601

  if (! xfont)
    {
      font_add_log ("  x:open failed", build_string (name), Qnil);
      return Qnil;
    }

Could you set a breakpoint here and see if that's indeed where the error
message is issued?